Loading...
Searching...
No Matches
cyaml_state Struct Reference
Collaboration diagram for cyaml_state:
[legend]

## Data Fields

enum cyaml_state_e | state
size_t | line
size_t | column
const cyaml_schema_value_t * | schema
union { |
struct { |
uint32_t doc_count |
} stream
struct { |
const cyaml_schema_field_t * fields |
cyaml_bitfield_t * fields_set |
uint16_t fields_count |
uint16_t fields_idx |
} mapping
struct { |
uint8_t * data |
uint8_t * count_data |
uint32_t count |
uint8_t count_size |
} sequence
}; |
union { |
struct { |
const cyaml_schema_field_t * field |
} mapping
struct { |
uint64_t entry |
uint64_t count |
} sequence
}; |
const uint8_t * | data
bool | done

## Detailed Description

A CYAML load state machine stack entry.

A CYAML save state machine stack entry.

## Field Documentation

## [union]

union { ... } cyaml_state

Anonymous union for schema type specific state.

## [union]

union { ... } cyaml_state

Anonymous union for schema type specific state.

## column

size_t cyaml_state::column

Event start position in YAML source.

## data [1/2]

uint8_t * cyaml_state::data

Pointer to output client data for this state.

## data [2/2]

const uint8_t* cyaml_state::data

Start of client value data for this state.

## doc_count

uint32_t cyaml_state::doc_count

Number of documents read in stream.

## done

bool cyaml_state::done

Whether the state has been handled.

## fields_set

cyaml_bitfield_t* cyaml_state::fields_set

Bit field of mapping fields found.

## line

size_t cyaml_state::line

Event start position in YAML source.

## [struct] [1/2]

struct { ... } cyaml_state::mapping

Additional state for CYAML_STATE_IN_MAP_KEY and CYAML_STATE_IN_MAP_VALUE states.

## [struct] [2/2]

struct { ... } cyaml_state::mapping

Additional state for CYAML_STATE_IN_MAP_KEY and CYAML_STATE_IN_MAP_VALUE states.

## schema

const cyaml_schema_value_t * cyaml_state::schema

Schema for the expected value in this state.

## [struct] [1/2]

struct { ... } cyaml_state::sequence

Additional state for CYAML_STATE_IN_SEQUENCE state.

## [struct] [2/2]

struct { ... } cyaml_state::sequence

Additional state for CYAML_STATE_IN_SEQUENCE state.

## state

enum cyaml_state_e cyaml_state::state

Current load state machine state.

Current save state machine state.

## [struct]

struct { ... } cyaml_state::stream

Additional state for CYAML_STATE_IN_STREAM state.

The documentation for this struct was generated from the following files:

- src/load.c
- src/save.c